Uses of Class
com.eqixiac.equinix.fabric.beta.model.AppService
Packages that use AppService
Package
Description
Public Fabric Beta client interfaces: the
FabricBeta hub and one client per family.Implementations of the Fabric Beta clients.
-
Uses of AppService in com.eqixiac.equinix.fabric.beta.client
Methods in com.eqixiac.equinix.fabric.beta.client that return AppServiceModifier and TypeMethodDescriptionAppServices.create(AppServicePostRequest request) Create Service:POST /fabric/v4/appServices(operationcreateAppService).Delete Service:DELETE /fabric/v4/appServices/{appServiceId}(operationdeleteAppServiceByUuid).Get Service:GET /fabric/v4/appServices/{appServiceId}(operationgetAppServiceByUuid).AppServices.update(String appServiceId, List<PatchOperation> operations) Update Service:PATCH /fabric/v4/appServices/{appServiceId}(operationupdateAppServiceByUuid).Methods in com.eqixiac.equinix.fabric.beta.client that return types with arguments of type AppServiceModifier and TypeMethodDescriptionAppServices.search()Search Services:POST /fabric/v4/appServices/search(operationsearchAppServices).AppServices.search(FilterPropertyList filter) Search Services:POST /fabric/v4/appServices/search(operationsearchAppServices).AppServices.search(FilterPropertyList filter, SortPropertyList sort) Search Services:POST /fabric/v4/appServices/search(operationsearchAppServices). -
Uses of AppService in com.eqixiac.equinix.fabric.beta.client.implementation
Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return AppServiceModifier and TypeMethodDescriptionAppServicesImpl.create(AppServicePostRequest request) AppServicesImpl.update(String appServiceId, List<PatchOperation> operations) Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return types with arguments of type AppServiceModifier and TypeMethodDescriptionAppServicesImpl.search()AppServicesImpl.search(FilterPropertyList filter) AppServicesImpl.search(FilterPropertyList filter, SortPropertyList sort)